Bug 1122074 - cql and gossip ports should be read-only
Summary: cql and gossip ports should be read-only
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node
Version: JON 3.2
Hardware: x86_64
OS: Linux
high
high
Target Milestone: DR01
: JON 4.0.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 1000523
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 13:25 UTC by Mike Foley
Modified: 2019-08-05 15:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1000523
Environment:
Last Closed: 2019-08-05 15:02:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Mike Foley 2014-07-22 13:25:11 UTC
+++ This bug was initially created as a clone of Bug #1000523 +++

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run rhqctl install
2. go to rhq storage node resource under inventory in gui
3. edit connection settings  - change Native Transport Port from 9142 to 9146 (or some other value)
4. uninventory rhq storage 
5. Restart rhq-storage


Actual results:
result 1:
RHQ storage is lost and server cannot start correctly
result 2: 
rhq storage is auto-inventoried back but stays not available

Expected results:
for 4.9 (from developers) cql and gossip ports should be non-editable


Additional info:

--- Additional comment from Heiko W. Rupp on 2014-05-08 10:42:40 EDT ---

Bump the target version now that 4.11 is out.

--- Additional comment from Jay Shaughnessy on 2014-07-07 13:06:49 EDT ---


Bumping forward to 4.13

Comment 3 John Sanda 2014-08-29 12:48:10 UTC
Bumping the target release due to time constraints.

Comment 5 Filip Brychta 2019-08-05 15:02:18 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.